using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Array_Argument
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Metoda SetToZero() akceptuje argument w postaci
        // tablicy typu int i każdemu jej elementowi przypisuje 0.
        private void SetToZero(int[] iArray)
        {
            for (int index = 0; index<iArray.Length; index++)
            {
                iArray[index] = 0;
            }
        }

        private void goButton_Click(object sender, EventArgs e)
        {
            // Utworzenie tablicy typu int.
            int[] numbers = { 1, 2, 3 };

            // Wyświetlenie tablicy w kontrolce ListBox.
            outputListBox.Items.Add("Początkowa zawartość tablicy:");
            foreach (int number in numbers)
            {
                outputListBox.Items.Add(number);
            }

            // Przekazanie tablicy metodzie SetToZero().
            SetToZero(numbers);

            // Ponowne wyświetlenie tablicy w kontrolce ListBox.
            outputListBox.Items.Add("");
            outputListBox.Items.Add("Po wywołaniu metody SetToZero():");
            foreach (int number in numbers)
            {
                outputListBox.Items.Add(number);
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza. 
            this.Close();
        }
    }
}
